Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface OWLOntology

All Superinterfaces:
  Comparable<edu.stanford.smi.protege.model.Frame>, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, ProtegeInstance, RDFObject, RDFResource, Visitable

All Known Implementing Classes:
  DefaultOWLOntology

    public interface OWLOntology

extends RDFResource

A RDFIndividual that represents an OWL Ontology (tag). Ontologies represent metadata such as versioning info and includes. There is usually only one Ontology defined in each OWL file.

Although this inherits namespace support, the Ontology's URI itself is stored in a separate own slot, which is accessible through the `getOntologyURI()` and `setOntologyURI()` methods. Note that it is not recommended to do low level changes to OWLOntologies; in particular the name should not be changed.

Author:
  Holger Knublauch

Method Summary
`void` | `addBackwardCompatibleWith(String resource)`
`void` | `addImports(OWLOntology ontology)`
`void` | `addImports(RDFExternalResource resource)` Deprecated. use version with RDFUntypedResource instead
`void` | `addImports(RDFUntypedResource resource)`
`void` | `addImports(String uri)` Adds an URI to the owl:imports statements of this ontology.
`void` | `addImports(URI uri)`
`void` | `addIncompatibleWith(String resource)`
`void` | `addPriorVersion(String resource)`
`Collection` | `getBackwardCompatibleWith()`
`Collection` | `getImportResources()` Gets the URIs of the imports as RDFUntypedResources or OWLOntologies.
`Collection<String>` | `getImports()` Gets the URIs of the imports (as strings)
`Collection` | `getIncompatibleWith()`
`String` | `getOntologyURI()` Deprecated. now getURI() can be used for that
`Collection` | `getPriorVersions()`
`void` | `removeBackwardCompatibleWith(String resource)`
`void` | `removeImports(String uri)`
`void` | `removeIncompatibleWith(String resource)`
`void` | `removePriorVersion(String resource)`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Method Detail

### addBackwardCompatibleWith

    void addBackwardCompatibleWith(String resource)

### addImports

    void addImports(String uri)

  Adds an URI to the owl:imports statements of this ontology. Note that this does not actually load the imported ontology - it only adds the import statement. If you want to load the import immediately, then you need to call the corresponding method in `ProtegeOWLParser` (for file-based projects).

  Parameters:
    `uri` - an URI (not ending with a deliminator such as #)
  See Also:
    `edu.stanford.smi.protegex.owl.jena.parser.ProtegeOWLParser#addImport`

### addImports

    void addImports(URI uri)

  Parameters:
    `uri` -

### addImports

    void addImports(RDFExternalResource resource)

  Deprecated. use version with RDFUntypedResource instead

### addImports

    void addImports(OWLOntology ontology)

### addImports

    void addImports(RDFUntypedResource resource)

### addIncompatibleWith

    void addIncompatibleWith(String resource)

### addPriorVersion

    void addPriorVersion(String resource)

### getBackwardCompatibleWith

    Collection getBackwardCompatibleWith()

### getImports

    Collection<String> getImports()

  Gets the URIs of the imports (as strings)

  Returns:
    a Collection of strings

### getImportResources

    Collection getImportResources()

  Gets the URIs of the imports as RDFUntypedResources or OWLOntologies.

  Returns:
    the import resources

### getIncompatibleWith

    Collection getIncompatibleWith()

### getOntologyURI

    String getOntologyURI()

  Deprecated. now getURI() can be used for that

  See Also:
    `RDFResource.getURI()`

### getPriorVersions

    Collection getPriorVersions()

### removeBackwardCompatibleWith

    void removeBackwardCompatibleWith(String resource)

### removeImports

    void removeImports(String uri)

### removeIncompatibleWith

    void removeIncompatibleWith(String resource)

### removePriorVersion

    void removePriorVersion(String resource)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.